MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001368Orfeo Toolbox (OTB)Generalpublic2017-03-07 14:392017-04-05 10:20
Reportergilles.fouvet 
Assigned ToLudovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDell PowerEdge R820OSLinux OS Version 16.04lts
Summary0001368: OTB 5.11 TrainImagesClassifier (FATAL) Error "Input Sample List is empty"
DescriptionWhen use otb application TrainImagesClassifier

with parameters :
    -sample.mt -1
    -sample.mv 0
    -sample.vtr 0.0
Without the use of validation samples =>
Application.logger (FATAL) The following error occurred during application execution : /home/scgsi/OTB/otb/Modules/Filtering/Statistics/include/otbShiftScaleSampleListFilter.txx:44:
itk::ERROR: ShiftScaleSampleListFilter(0x31017430): Input Sample List is empty

This bug does not occur if the validation samples are used :
    -sample.mt -1
    -sample.mv -1
    -sample.vtr 0.5
Steps To Reproduceotbcli_TrainImagesClassifier \
    -io.il /home/scgsi/Test/ZoneTest1CubPleiades2014/Images/CUB_zone_test_NE_stack.tif \
    -io.vd /home/scgsi/Test/ZoneTest1CubPleiades2014/Echantillons/CUB_zone_test_NE_cleaned.shp \
    -io.imstat /home/scgsi/Test/ZoneTest1CubPleiades2014/Classification/CUB_zone_test_NE_stack_statistics.xml \
    -sample.mt -1 \
    -sample.mv 0 \
    -sample.vtr 0.0 \
    -sample.vfn id \
    -classifier rf \
    -classifier.rf.max 50 \
    -classifier.rf.min 20 \
    -classifier.rf.ra 0.0 \
    -classifier.rf.cat 30 \
    -classifier.rf.var 2 \
    -classifier.rf.nbtrees 50 \
    -classifier.rf.acc 0.001 \
    -io.out /home/scgsi/Test/ZoneTest1CubPleiades2014/Classification/CUB_zone_test_NE_stack_model.txt
Additional Information2017 Mar 07 12:06:51 : Application.logger (INFO) Reprojecting input vectors...

2017 Mar 07 12:19:02 : Application.logger (INFO) Sample extraction...
Extracting sample values...: 100% [**************************************************] (4 seconds)
Split samples between training and validation...: 100% [**************************************************] (1 seconds)
2017 Mar 07 12:19:09 : Application.logger (INFO) Model training...
Training model...: 100% [**************************************************] (5 seconds)
2017 Mar 07 12:19:15 : Application.logger (FATAL)
2017 Mar 07 12:19:09 : Application.logger (INFO) Reading input vector file 1/1
2017 Mar 07 12:19:15 : Application.logger (INFO) Reading validation vector file 1/1
2017 Mar 07 12:19:15 : Application.logger (WARNING) The layer 0 of /home/scgsi/Test/ZoneTest1CubPleiades2014/Classification/CUB_zone_test_NE_stack_model.txt_samplesValid_1.shp is empty, input is skipped.
2017 Mar 07 12:19:15 : Application.logger (FATAL) The following error occurred during application execution : /home/scgsi/OTB/otb/Modules/Filtering/Statistics/include/otbShiftScaleSampleListFilter.txx:44:
itk::ERROR: ShiftScaleSampleListFilter(0x31017430): Input Sample List is empty
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004067)
Ludovic (developer)
2017-03-09 10:05

Thank you for this bug report.

This bug is now fixed.
branch : https://git.orfeo-toolbox.org/otb.git/commit/6600addd8cc4429a6c36fb0ddf0174c393580c9f [^]

- Issue History
Date Modified Username Field Change
2017-03-07 14:39 gilles.fouvet New Issue
2017-03-08 15:13 Ludovic Assigned To => Ludovic
2017-03-08 15:13 Ludovic Status new => assigned
2017-03-08 15:13 Ludovic Steps to Reproduce Updated View Revisions
2017-03-09 10:05 Ludovic Note Added: 0004067
2017-03-09 10:05 Ludovic Status assigned => resolved
2017-04-05 10:20 poughov Status resolved => closed
2017-04-05 10:20 poughov Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker